#
# spec file for package HamFax 
#
# norootforbuild

BuildRequires: gcc-c++ libqt4-devel audiofile-devel update-desktop-files

Name:         HamFax
URL:          http://hamfax.sourceforge.net/
License:      GPL
Group:        Productivity/Hamradio/Digital
Autoreqprov:  on
Version:      0.8.1
Release:      1.81
Summary:      Send and receive radio facsimiles
Source:       hamfax-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
HamFax is an application for sending and receiving facsimilies in
amateur radio. You can either use a sound card as interface to the
transceiver or a SCS-PTC-II.
Receiving of weather facsimile broadcasts is also possible.

Authors:
--------
    Christof Schmitt, DH1CS <cschmitt@users.sourceforge.net>

%debug_package
%prep
%setup -q -n hamfax-%{version}

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -c hamfax HamFax "Send and receive radio facsimiles" hamfax "" "Application;HamRadio"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

/usr/share/applications/hamfax.desktop
%doc AUTHORS COPYING ChangeLog README TODO NEWS
/usr/bin/hamfax
%dir /usr/share/hamfax
/usr/share/hamfax/*
%{_mandir}/man1/*

%changelog
* Sun Sep  4 2011 dl8fcl@darc.de
- update to version 0.8.1
* Sat Sep 29 2007 dl8fcl@darc.de
- updated for openSUSE_Factory
* Tue Feb 20 2007 dl9pf@gmx.de
- import into buildservice
* Wed May 31 2006 dg7gt@online.de
- updated to actual version
* Mon Sep  1 2003 adrian@suse.de
- add desktop file
* Tue Jun  3 2003 ro@suse.de
- remove unpackaged files from buildroot
* Fri May 23 2003 coolo@suse.de
- use BuildRoot
* Mon Feb 17 2003 sf@suse.de
- corrected aclocal.m4 to build on biarch archs
* Thu Jan 23 2003 ro@suse.de
- removed explicit qt requires
* Tue Dec  3 2002 jreuter@suse.de
- update to version 0.6.2
- workaround for broken Makefile in HamFax.spec
* Mon Nov 25 2002 ro@suse.de
- build using qt3
* Mon Jun  3 2002 ro@suse.de
- fix build on lib64
- use "qt-devel-packages" in neededforbuild
* Tue Mar 12 2002 kukuk@suse.de
- fix filelist
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 23 2002 ro@suse.de
- fixed link sequence
* Tue Dec  4 2001 rstein@suse.de
- update to version 0.5.2
* Mon Nov 26 2001 rstein@suse.de
- update to version 0.5.1
* Fri Oct 26 2001 ro@suse.de
- removed qtext from neededforbuild (is from qt1 anyway)
* Thu Aug 30 2001 cschmit@suse.de
- update to version 0.5
* Sat Aug 18 2001 cschmit@suse.de
- update to version 0.4
* Mon Jul 16 2001 cschmit@suse.de
- initial release (HamFax v0.3)
